Preinstalation problems

Nomce

New member
I have a server running CentOS 5.6, with virtualmin 3.

Before I buy the XF script, I want to be sure that it will run on my server, so I checked with xenforo_requirements.php script, and there was a problem:

The required PHP extensions for XML handling (DOM and SimpleXML) could not be found. Please ask your host to install these extensions.
Then, I followed this thread: http://xenforo.com/community/threads/simplexml-and-dom.5056/

I updated php-common and php-xml, and the result was the same. Are there any other solutions instead of installing zend server?
 

Mike

XenForo developer
Staff member
You may need to restart Apache after you install any extensions to PHP.
 

Slavik

XenForo moderator
Staff member
I restarted it thousand times. The result is same. :(
What repo are you using if any?

Are you using yum?

if you put

<?php phpinfo(); ?>

into a file and open it up do you have a DOM section?
 

Nomce

New member
I use yum, but I tried to use repo remi-test, as in the link, and when tried to update, there was an error: Not found.
 

Slavik

XenForo moderator
Staff member
I use yum, but I tried to use repo remi-test, as in the link, and when tried to update, there was an error: Not found.
What does typing

Code:
rpm -qa |grep php
show?
remove the remi repo and just try running

yum -y update php-xml
and
yum -y update php-common

if that fails, add the official centos testing repo

Make a file called CentOS-Testing.repo in /etc/yum.repos.d/

paste the following in

Code:
[c5-testing]
name=CentOS-5 Testing
baseurl=http://dev.centos.org/centos/$releasever/testing/$basearch/
enabled=1
gpgcheck=1
gpgkey=http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing
includepkgs=php*
then try updating.
 

Nomce

New member
php-common is updated,

but even if I enter the command 'yum -y install php-xml', and then 'yum -y update php-xml', it says that the package php-xml is available, but not installed. Something weird happens here.
 

Nomce

New member
Command: rpm -qa |grep php
[root]# rpm -qa |grep php
php-imap-5.3.8-1.w5
php-gd-5.3.8-1.w5
php-devel-5.3.8-1.w5
php-cli-5.3.8-1.w5
php-odbc-5.3.8-1.w5
php-xmlrpc-5.3.8-1.w5
wbm-php-pear-1.5-1
php-pdo-5.3.8-1.w5
php-ldap-5.3.8-1.w5
php-mysql-5.3.8-1.w5
php-mbstring-5.3.8-1.w5
php-common-5.3.8-1.w5
php-snmp-5.3.8-1.w5
php-pear-1.4.9-6.el5
php-5.3.8-1.w5
php-pgsql-5.3.8-1.w5
Command: yum -y update php-common
[root]# yum -y update php-common
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: gd.tuwien.ac.at
* extras: gd.tuwien.ac.at
* updates: gd.tuwien.ac.at
Reducing CentOS-5 Testing to included packages only
Finished
Setting up Update Process
No Packages marked for Update
[root]# yum -y update php-xml
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: gd.tuwien.ac.at
* extras: gd.tuwien.ac.at
* updates: gd.tuwien.ac.at
Reducing CentOS-5 Testing to included packages only
Finished
Setting up Update Process
Package(s) php-xml available, but not installed.
No Packages marked for Update


Command: yum -y update php-xml
[root]# yum -y update php-xml
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: gd.tuwien.ac.at
* extras: gd.tuwien.ac.at
* updates: gd.tuwien.ac.at
Reducing CentOS-5 Testing to included packages only
Finished
Setting up Update Process
Package(s) php-xml available, but not installed.
No Packages marked for Update
Ok, now I read that for php-xml to install, there is missing dependency: php-common, but it is already installed.
 

Nomce

New member
I already tried that, but here it is again:
[root]# yum -y install php-xml
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: gd.tuwien.ac.at
* extras: gd.tuwien.ac.at
* updates: gd.tuwien.ac.at
Reducing CentOS-5 Testing to included packages only
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-xml.x86_64 0:5.2.10-1.el5.centos set to be updated
--> Processing Dependency: php-common = 5.2.10-1.el5.centos for package: php-xml
--> Finished Dependency Resolution
php-xml-5.2.10-1.el5.centos.x86_64 from c5-testing has depsolving problems
--> Missing Dependency: php-common = 5.2.10-1.el5.centos is needed by package php-xml-5.2.10-1.el5.centos.x86_64 (c5-testing)
Error: Missing Dependency: php-common = 5.2.10-1.el5.centos is needed by package php-xml-5.2.10-1.el5.centos.x86_64 (c5-testing)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
 

Nomce

New member
Sorry for the late respond, but I didn't have internet yesterday.

Scott, I tried that, but there is no change. The version which is already installed is 5.3.8, and with php53-xml command, installs the version 5.3.3 :S
 

Slavik

XenForo moderator
Staff member
Sorry for the late respond, but I didn't have internet yesterday.

Scott, I tried that, but there is no change. The version which is already installed is 5.3.8, and with php53-xml command, installs the version 5.3.3 :S
Have you tried removing php-common then installing php-xml with the -y command to load the required php-common package automatically?
 

Scott

Active member
You must have hand rolled PHP 5.3.8 which means you can't use yum to install the xml parts.
 
Top